Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class AutocompleteListLayoutStrategy

    java.lang.Object
      org.richfaces.renderkit.AbstractAutocompleteLayoutStrategy
          org.richfaces.renderkit.AutocompleteListLayoutStrategy

All Implemented Interfaces:
  AutocompleteEncodeStrategy

    public class AutocompleteListLayoutStrategy

extends AbstractAutocompleteLayoutStrategy
implements AutocompleteEncodeStrategy

Constructor Summary
`AutocompleteListLayoutStrategy()`

Method Summary
`void` | `encodeFakeItem(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeItem(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeItemBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeItemEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeItemsContainerBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeItemsContainerEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.AbstractAutocompleteLayoutStrategy
`getContainerElementId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.renderkit.AutocompleteEncodeStrategy
`getContainerElementId`

Constructor Detail

### AutocompleteListLayoutStrategy

    public AutocompleteListLayoutStrategy()

Method Detail

### encodeFakeItem

    public void encodeFakeItem(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Specified by:
    `encodeFakeItem` in interface `AutocompleteEncodeStrategy`
  Throws:
    `java.io.IOException`

### encodeItemsContainerBegin

    public void encodeItemsContainerBegin(javax.faces.context.FacesContext facesContext,
                                          javax.faces.component.UIComponent component)
                                   throws java.io.IOException

  Specified by:
    `encodeItemsContainerBegin` in interface `AutocompleteEncodeStrategy`
  Throws:
    `java.io.IOException`

### encodeItemsContainerEnd

    public void encodeItemsContainerEnd(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent component)
                                 throws java.io.IOException

  Specified by:
    `encodeItemsContainerEnd` in interface `AutocompleteEncodeStrategy`
  Throws:
    `java.io.IOException`

### encodeItemBegin

    public void encodeItemBegin(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent component)
                         throws java.io.IOException

  Specified by:
    `encodeItemBegin` in interface `AutocompleteEncodeStrategy`
  Throws:
    `java.io.IOException`

### encodeItemEnd

    public void encodeItemEnd(javax.faces.context.FacesContext facesContext,
                              javax.faces.component.UIComponent component)
                       throws java.io.IOException

  Specified by:
    `encodeItemEnd` in interface `AutocompleteEncodeStrategy`
  Throws:
    `java.io.IOException`

### encodeItem

    public void encodeItem(javax.faces.context.FacesContext facesContext,
                           javax.faces.component.UIComponent component)
                    throws java.io.IOException

  Specified by:
    `encodeItem` in interface `AutocompleteEncodeStrategy`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.